#include <CapacitiveSensor.h>
// pitches.h */
#define NOTE_C4  262
#define NOTE_CS4  277
#define NOTE_D4  294
#define NOTE_DS4  311
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_FS4  370
#define NOTE_G4  392
#define NOTE_GS4  415
#define NOTE_A4  440
#define NOTE_AS4  466
#define NOTE_B4  494

CapacitiveSensor   cs_2_3 = CapacitiveSensor(2, 3);
CapacitiveSensor   cs_2_4 = CapacitiveSensor(2, 4);
CapacitiveSensor   cs_2_5 = CapacitiveSensor(2, 5);
CapacitiveSensor   cs_2_6 = CapacitiveSensor(2, 6);
CapacitiveSensor   cs_2_7 = CapacitiveSensor(2, 7);
CapacitiveSensor   cs_2_8 = CapacitiveSensor(2, 8);
CapacitiveSensor   cs_2_9 = CapacitiveSensor(2, 12);

int threshold = 250; // Threshold to consider a key "touched"


const int notes[] = { NOTE_C4, NOTE_D4, NOTE_E4, NOTE_F4, NOTE_G4, NOTE_A4, NOTE_B4 };
CapacitiveSensor* sensors[] = { &cs_2_3, &cs_2_4, &cs_2_5, &cs_2_6, &cs_2_7, &cs_2_8, &cs_2_9 };
bool wasTouched[7] = { false, false, false, false, false, false, false };  

void setup()
{
  Serial.begin(9600); 
  for(int i = 0; i < 7; i++) {
    sensors[i]->set_CS_AutocaL_Millis(0xFFFFFFFF);
  }
}

void loop()
{
  for(int i = 0; i < 7; i++) {
    long sensor = sensors[i]->capacitiveSensor(30);
    Serial.print(sensor);
    Serial.print(" ");

    
    if (sensor > threshold && !wasTouched[i]) {   // Touch starts
      tone(11, notes[i]);
      wasTouched[i] = true;
    }
    else if (sensor <= threshold && wasTouched[i]) { // Touch ends
      noTone(11);
      wasTouched[i] = false;
    }
  }
  Serial.println();

  delay(50);
}
